%define old_ver 1.3.0.20100907

Name:       ibus-table-others
Version:    1.3.0.20100907
Release:    1%{?dist}
Summary:    Various tables for IBus-Table
License:    GPLv3
Group:      System Environment/Libraries
URL:        http://github.com/moebiuscurve/ibus-table-others
Source0:    http://nkumar.fedorapeople.org/ibus-table-others/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Requires:         ibus-table >= 1.2.0.20090912
BuildRequires:    ibus-table-devel >= 1.2.0.20090912

Obsoletes:        ibus-table-code < %{old_ver}
Obsoletes:        ibus-table-cyrillic < %{old_ver}
Obsoletes:        ibus-table-latin < %{old_ver}
Obsoletes:        ibus-table-translit < %{old_ver}
Obsoletes:        ibus-table-tv < %{old_ver}
Provides:         ibus-table-code = %{old_ver}
Provides:         ibus-table-cyrillic = %{old_ver}
Provides:         ibus-table-latin = %{old_ver}
Provides:         ibus-table-translit = %{old_ver}
Provides:         ibus-table-tv = %{old_ver}
Provides:         ibus-table-mathwriter = %{old_ver}

%description
The package contains various IBus-Tables which include languages of \
Latin-America, Europe, Southeast Asia, as well as math and other symbols

%prep
%setup -q

%build
%configure \
    --disable-static \
    --prefix=%{_prefix} \
    --enable-cns11643 \
    --enable-compose \
    --enable-emoji \
    --enable-ipaxsampa \
    --enable-latex \
    --enable-rustrad \
    --enable-thai \
    --enable-translit \
    --enable-translitua \
    --enable-viqr \
    --enable-yawerty \
    --enable-mathwriter
%__make %{?_smp_mflags}

%install
%__rm -rf $RPM_BUILD_ROOT
%__make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install
cd ${RPM_BUILD_ROOT}/%{_datadir}/ibus-table/tables/
%{_bindir}/ibus-table-createdb -i -n cns11643.db
%{_bindir}/ibus-table-createdb -i -n compose.db
%{_bindir}/ibus-table-createdb -i -n emoji-table.db
%{_bindir}/ibus-table-createdb -i -n ipa-x-sampa.db
%{_bindir}/ibus-table-createdb -i -n latex.db
%{_bindir}/ibus-table-createdb -i -n rustrad.db
%{_bindir}/ibus-table-createdb -i -n thai.db
%{_bindir}/ibus-table-createdb -i -n translit.db
%{_bindir}/ibus-table-createdb -i -n viqr.db
%{_bindir}/ibus-table-createdb -i -n yawerty.db
%{_bindir}/ibus-table-createdb -i -n mathwriter-ibus.db


%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_datadir}/ibus-table/tables/*.db
%{_datadir}/ibus-table/icons/*.svg
%{_datadir}/ibus-table/icons/*.png

%changelog
* Tue Sep 7 2010 Naveen Kumar <nkumar@redhat.com> - 1.3.0.20100907-1
- Packaging for new version
- ibus-table-mathwriter included

* Fri May 28 2010 Caius 'kaio' Chance  <kaio at fedoraproject.org> - 1.3.0.20100528-1
- Included all non-Chinese tables.

* Wed Mar 10 2010 Caius 'kaio' Chance  <cchance at redhat.com> - 1.2.0.20100305-6
- Remove Conflicts, Provides, Obsoletes tag.

* Fri Mar 05 2010 Caius 'kaio' Chance  <cchance at redhat.com> - 1.2.0.20100305-5
- Fix source tag.

* Fri Mar 05 2010 Caius 'kaio' Chance  <cchance at redhat.com> - 1.2.0.20100305-4
- Fix source tag.

* Fri Mar 05 2010 Caius 'kaio' Chance  <cchance at redhat.com> - 1.2.0.20100305-3
- Fix BuildRequires tag to ibus-table-devel.

* Fri Mar 05 2010 Caius 'kaio' Chance  <cchance at redhat.com> - 1.2.0.20100305-2
- Modify index creation locations.

* Fri Mar 05 2010 Caius 'kaio' Chance  <cchance at redhat.com> - 1.2.0.20100305-1
- Upgrade source from upstream.

* Wed Jan 20 2010 Caius 'kaio' Chance  <k at kaio.me> - 1.2.0.20100120-1
- Introduce Emoji input method.
- Updated spec file.

* Fri Jan 08 2010 Caius 'kaio' Chance  <k at kaio.me> - 1.2.0.20100108-1
- The first version.
- Merged from ibus-table-additional.
